Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.event
Class MouseTargetAdapter

    java.lang.Object
      |
      +--quicktime.app.event.MouseTargetAdapter

All Implemented Interfaces:
  java.util.EventListener, MouseTargetListener, QTMouseListener

public class MouseTargetAdapter
extends java.lang.Object
implements MouseTargetListener

A convenience class for dealing with mouse movement events within a given space where the mouse movement is based around a selected object(s)) within that space.

Constructor Summary
`MouseTargetAdapter()`

Method Summary
`boolean` | `matchModifierFilter(int mods)` An event is only passed on to interested listeners if those listeners return true to this filter call.
`void` | `mouseTargetEntered(QTMouseEvent e)` Invoked when a mouseMoved or mouseDragged event enters a Target within an enclosing space.
`void` | `mouseTargetExited(QTMouseEvent e)` Invoked when a mouseMoved event exits a Target within an enclosing space.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MouseTargetAdapter

    public MouseTargetAdapter()

Method Detail

### mouseTargetEntered

    public void mouseTargetEntered(QTMouseEvent e)

  Invoked when a mouseMoved or mouseDragged event enters a Target within an enclosing space. The target of the QTMouseEvent is set for events of this kind.
  Specified by:
    `mouseTargetEntered` in interface `MouseTargetListener`
  Parameters:
    `e` - the QTMouseEvent that triggered this event

### mouseTargetExited

    public void mouseTargetExited(QTMouseEvent e)

  Invoked when a mouseMoved event exits a Target within an enclosing space. The target of the QTMouseEvent is set for events of this kind.
  Specified by:
    `mouseTargetExited` in interface `MouseTargetListener`
  Parameters:
    `e` - the QTMouseEvent that triggered this event

### matchModifierFilter

    public boolean matchModifierFilter(int mods)

  An event is only passed on to interested listeners if those listeners return true to this filter call. By default this method returns true.
  Specified by:
    `matchModifierFilter` in interface `QTMouseListener`
  Following copied from interface: `quicktime.app.event.QTMouseListener`
  Parameters:
    `mods` - the state of the modifier keys.
  Returns:
    true if a particular listener is interested in receiving the mouse event(s) it is interested in with the given modifier state, or false if otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD